# Class ResultListEvents

The `ResultListEvents` static class contains the string definitions of all events that strongly relate to the result list.

See Events.

## Index

### Properties

- changeLayout
- newResultDisplayed
- newResultsDisplayed
- openQuickview

## Properties

### Static changeLayout

changeLayout: string

- Defined in events/ResultListEvents.ts :110

Triggered by the [`ResultLayout`]{@link ResultLayout} component whenever the current result layout changes (see Result Layouts).

All `changeLayout` event handlers receive a `ChangeLayoutEventArgs` object as an argument.

type

  {string} The string value is `changeLayout`.

### Static newResultDisplayed

newResultDisplayed: string

- Defined in events/ResultListEvents.ts :83

Triggered each time the result list has just finished rendering a single result.

All `newResultDisplayed` event handlers receive a `DisplayedNewResultEventArgs` object as an argument.

type

  {string} The string value is `newResultDisplayed`.

### Static newResultsDisplayed

newResultsDisplayed: string

- Defined in events/ResultListEvents.ts :73

Triggered when the result list has just finished rendering the current page of results.

type

  {string} The string value is `newResultsDisplayed`.

### Static openQuickview

openQuickview: string

- Defined in events/ResultListEvents.ts :99

Triggered by the `ResultLink` result template component when its `openQuickview` option is set to `true` and the end user clicks the result link. The `Quickview` component listens to this event to be able to open the quickview modal window in reaction.

See also the `openQuickview` event (which is identical to this one, except that it is triggered by the [`QuickviewDocument`] result template component instead).

All `openQuickview` event handlers receive an `OpenQuickviewEventArgs` object as an argument

type

  {string} The string value is `openQuickview`.

### Hierarchy

- ResultListEvents